Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#26 Error when try to setup new database via setup.pl

1.3
closed
None
5
2014-07-16
2013-02-27
zierocode
No

I used LedgerSMB version 1.3.29 with following these environment
Ubuntu 12.10
Apache HTTPD 2.2.22
PostgreSQL 9.1
Perl 5.14.2

But when process setup.pl (follow http://ledgersmb.org/news/ubuntu-installation-tutorial-ledgersmb-13-series#setuplogin\),
after select General.sql the error appear 'Internal Server Error'
and Apache log said ...
[Wed Feb 27 15:19:55 2013] [error] [client 192.168.200.10] DBI connect('dbname=test123','postgres',...) failed: FATAL: database "test123" does not exist at LedgerSMB/Database.pm line 287, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] sh: 1: , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] cannot create /tmp/ledgersmb/dblog_stdout: Permission denied, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] sh: 1: , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] cannot create /tmp/ledgersmb/dblog_stdout: Permission denied, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] sh: 1: , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] cannot create /tmp/ledgersmb/dblog_stdout: Permission denied, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] sh: 1: , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] cannot create /tmp/ledgersmb/dblog_stdout: Permission denied, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:19:58 2013] [error] [client 192.168.200.10] , referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:00 2013] [error] [client 192.168.200.10] 2013/02/27 15:20:00 - INFO - LedgerSMB::Scripts::setup::create_db -- create_and_load rc=1, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] DBD::Pg::st execute failed: ERROR: function public.person__list_salutations() does not exist, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] LINE 1: SELECT * FROM "public"."person__list_salutations"(), referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] ^, referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] HINT: No function matches the given name and argument types. You might need to add explicit type casts. at LedgerSMB.pm line 833., referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] Can't call method "errstr" on an undefined value at LedgerSMB.pm line 1085., referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] Compilation failed in require at /usr/local/ledgersmb/setup.pl line 8., referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] Issuing rollback() due to DESTROY without explicit disconnect() of DBD::Pg::db handle dbname=test123 at /usr/local/ledgersmb/setup.pl line 8., referer: http://192.168.153.131/ledgersmb/setup.pl
[Wed Feb 27 15:20:18 2013] [error] [client 192.168.200.10] Premature end of script headers: setup.pl, referer: http://192.168.153.131/ledgersmb/setup.pl

How to fix this ?
Thanks :)

Discussion

  • zierocode
    zierocode
    2013-02-27

    log from apache

     
    Attachments
  • zierocode
    zierocode
    2013-02-27

    • summary: Rrror when try to setup new database via setup.pl --> Error when try to setup new database via setup.pl
     
  • 1) Is this still an issue for you?
    2) If so; have you tried the version of LedgerSMB already in Ubuntu? v1.3.18-1 has been available in Ubuntu 12.10 and the 1.3.25-1 package has been available in Ubuntu v13.04.

     
    • assigned_to: Robert James Clay
    • Group: --> 1.3
     
  • Erik Huelsmann
    Erik Huelsmann
    2014-05-02

    Last activity 1 year old next week. I think we should close this.

     
    • status: open --> closed-works-for-me
     
  • I agree.
    No response from the ticket originator. Could not reproduce issue with reported version or recent and current versions.

     
    • status: closed-works-for-me --> closed
     
  • Closing.